iOS 4.1 limera1n - Unpatchable?

Discussion in 'iOS Jailbreak & Cydia' started by Psyko, Oct 10, 2010.

  1. Psyko

    Psyko Member

    Joined:
    Apr 13, 2010
    Messages:
    509
    Likes Received:
    1
    So is it really unpatchable?
    For instance, when my iPod touch 2G 8GB will be supported, will I be able to use it on every upcoming firmware, or would geohot have to update the program?
  2. samethernet

    samethernet Member

    Joined:
    Jul 8, 2010
    Messages:
    483
    Likes Received:
    1
    Device:
    5G iPod touch
    yes as tethered, the untethered required another userland exploit which is patchable
  3. Psyko

    Psyko Member

    Joined:
    Apr 13, 2010
    Messages:
    509
    Likes Received:
    1
    awesome so when 4.2 is out I'll be able to jb it on my ipt2gMC but it'll be tethered?

    good enough for me

    Please Register or Log in to view images

  4. iBricked

    iBricked Well-Known Member

    Joined:
    Apr 16, 2010
    Messages:
    5,874
    Likes Received:
    39
    Device:
    iPhone 5S
    That is really confusing the 2nd statement, but yes, what above is saying is that in order to get it untethered they need to use another exploit in another area.
  5. Psyko

    Psyko Member

    Joined:
    Apr 13, 2010
    Messages:
    509
    Likes Received:
    1
    Okay... So in other terms, it gets the device pwned4life. Apple will ahve to make a new hardware revision for the affected devices to patch it...

    Also, this does mean that I can jailbreak all the upcoming firmewares for my iPod Touch 2G MC 8GB, but without an update it will be tethered?
  6. MrDodi

    MrDodi Active Member

    Joined:
    Feb 2, 2009
    Messages:
    1,519
    Likes Received:
    0
    Device:
    iPhone 5 (Black)
    it is unpatchable as tethered exploit, a user-land exploit makes it untethered but apple is able to patch the "untethered" exploit, but you still keep your JB , just as tethered
  7. iBricked

    iBricked Well-Known Member

    Joined:
    Apr 16, 2010
    Messages:
    5,874
    Likes Received:
    39
    Device:
    iPhone 5S
    Almost correct. In order to jailbreak the software updates they need to update the jailbreak tool so it is compatible, but te exploit is the same so always jailbreakable as long as the tool is updated.

Share This Page